- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Friends

# QAbstractFileEngineIterator Class Reference

Search for all occurrences

## Detailed Description

Definition at line 214 of file qabstractfileengine.h.

`#include <qabstractfileengine.h>`

List of all members.

## Public Member Functions
| QAbstractFileEngineIterator (QDir::Filters filters, const QStringList &nameFilters)
virtual | ~QAbstractFileEngineIterator ()
virtual QString | next ()=0
virtual bool | hasNext () const =0
QString | path () const
QStringList | nameFilters () const
QDir::Filters | filters () const
virtual QString | currentFileName () const =0
virtual QFileInfo | currentFileInfo () const
QString | currentFilePath () const
## Protected Types
enum | EntryInfoType
## Protected Member Functions
virtual QVariant | entryInfo (EntryInfoType type) const
## Friends
class | QDirIterator
class | QDirIteratorPrivate

## Member Enumeration Documentation

enum EntryInfoType `[protected]`

Search for all occurrences

Definition at line 232 of file qabstractfileengine.h.

                           {
        };

## Constructor & Destructor Documentation

QAbstractFileEngineIterator | ( | QDir::Filters | filters,
|  | const QStringList & | nameFilters
| ) |  |

virtual ~QAbstractFileEngineIterator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString next | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual bool hasNext | ( |  | ) | const `[pure virtual]`

Search for all occurrences

QString path | ( |  | ) | const

Search for all occurrences

QStringList nameFilters | ( |  | ) | const

Search for all occurrences

QDir::Filters filters | ( |  | ) | const

Search for all occurrences

virtual QString currentFileName | ( |  | ) | const `[pure virtual]`

Search for all occurrences

virtual QFileInfo currentFileInfo | ( |  | ) | const `[virtual]`

Search for all occurrences

QString currentFilePath | ( |  | ) | const

Search for all occurrences

virtual QVariant entryInfo | ( | EntryInfoType | type | ) | const `[protected, virtual]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QDirIterator `[friend]`

Search for all occurrences

Definition at line 238 of file qabstractfileengine.h.

friend class QDirIteratorPrivate `[friend]`

Search for all occurrences

Definition at line 239 of file qabstractfileengine.h.

The documentation for this class was generated from the following file:

- QtCore/qabstractfileengine.h

QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator
QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator QAbstractFileEngineIterator